Get Namespaces
Retrieves all Namespace summaries
Get all the Namespace summaries of Namespaces created through Provider Management
Request
URI
GET
https://{api_host}/cloudapi/v1/namespaceSummaries
COPY
Query Parameters
string
filter
Optional
Filter for a query. FIQL format.
string
sortAsc
Optional
Field to use for ascending sort
string
sortDesc
Optional
Field to use for descending sort
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
NamespaceSummaries
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineNamespaceSummaries1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"id": "string",
"name": "string",
"description": "string",
"projectAssignment": {
"name": "string",
"id": "string"
},
"organization": {
"name": "string",
"id": "string"
},
"region": {
"name": "string",
"id": "string"
},
"virtualPrivateCloudName": "string",
"workloadNetwork": {
"name": "string",
"id": "string"
},
"zonalResourceAllocation": [
{
"zone": {
"name": "string",
"id": "string"
},
"resourceAllocation": {
"memoryLimitMiB": 0,
"memoryReservationMiB": 0,
"cpuLimitMHz": 0,
"cpuReservationMHz": 0,
"vmClassReservations": [
{
"virtualMachineClassName": "string",
"count": 0,
"usedCount": 0
}
],
"realizedMemoryLimitMiB": 0,
"realizedMemoryReservationMiB": 0,
"realizedCpuLimitMHz": 0,
"realizedCpuReservationMHz": 0,
"memoryUsedMiB": 0,
"cpuUsedMHz": 0,
"markedForRemoval": false
},
"errorMessage": "string",
"realizedStatus": "string"
}
],
"proxyURL": "string",
"status": "string",
"vcReference": {
"supervisorUuid": "string",
"vcUuid": "string"
},
"segName": "string",
"lastModifiedTime": "string"
}
]
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/namespaceSummaries?page=value&pageSize=v
Availability
Added in 9.0.0
On This Page
Namespaces Operations
GET
Get Namespaces
POST
Create Namespace
POST
Import Namespace
GET
Get Namespace
PUT
Update Namespace
DELETE
Delete Namespace
GET
Get Namespace Storage Class Metrics